Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType handlePortalEventType

Super Types

    {http://www.w3.org/2001/XMLSchema}anyType
      |
      +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}handleEventType (restriction)
           |
           +--{http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}handlePortalEventType (extension)

Properties
  This component is not nillable.

Model
  `<...
  description = xs:string
  event = xs:string
  eventLabel = xs:string
  filterable = xs:boolean
  fromSelfInstanceOnly = xs:boolean
  onlyIfDisplayed = xs:boolean
  sourceDefinitionLabels = xs:string
  sourceDefinitionWildcard = xs:string>
  (changeWindowState | changeWindowMode | activatePage | invokePageFlowAction | invokeStrutsAction | fireCustomEvent | fireEvent | invokeBackingFileMethod | dispatchToRemotePortlet | invokeJavaPortletMethod)* filterEvent*
  </...>`

Nested Element Summary
`` | `activatePage`
`` | `changeWindowMode`
`` | `changeWindowState`
`` | `dispatchToRemotePortlet`
`filterEventType` | `filterEvent`
`` | `fireCustomEvent`
`` | `fireEvent`
`` | `invokeBackingFileMethod`
`` | `invokeJavaPortletMethod`
`` | `invokePageFlowAction`
`` | `invokeStrutsAction`

Attribute Summary
`xs:string` | `description`
`xs:string` | `event`
`xs:string` | `eventLabel`
`xs:boolean` | `filterable`
`xs:boolean` | `fromSelfInstanceOnly`
`xs:boolean` | `onlyIfDisplayed`
`xs:string` | `sourceDefinitionLabels`
`xs:string` | `sourceDefinitionWildcard`

Attribute Detail

### description

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### event

Type:
  based on ``
  with :

Use:
  `optional`

Form:
  `unqualified`

### eventLabel

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### filterable

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### fromSelfInstanceOnly

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### onlyIfDisplayed

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### sourceDefinitionLabels

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### sourceDefinitionWildcard

Type:
  based on ``
  with :

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:complexType name="handlePortalEventType">
        <xs:complexContent>
          <xs:extension base="handleEventType">
            <xs:sequence>
              <xs:element maxOccurs="unbounded" minOccurs="0" name="filterEvent" type="filterEventType"/>
            </xs:sequence>
            <xs:attribute name="event">
              <xs:simpleType>
                <xs:restriction base="xs:string">
                  <xs:pattern value="on(\p{L}|_|\$|\p{Nd})*"/>
                </xs:restriction>
              </xs:simpleType>
            </xs:attribute>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation